org.apache.xmlbeans.impl.tool

## Class CommandLine

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.CommandLine

-     public class CommandLine
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandLine(String[] args, Collection flags, Collection scheme)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `args()`
    `File[]` | `filesEndingWith(String ext)`
    `String[]` | `getBadOpts()`
    `File` | `getBaseDir()`
    `File[]` | `getFiles()`
    `String` | `getOpt(String opt)`
    `URL[]` | `getURLs()`
    `static void` | `printLicense()`
    `static void` | `printVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandLine

          public CommandLine(String[] args,
                             Collection flags,
                             Collection scheme)

  - ### Method Detail

    - #### printLicense

          public static void printLicense()

    - #### printVersion

          public static void printVersion()

    - #### args

          public String[] args()

    - #### getBadOpts

          public String[] getBadOpts()

    - #### getOpt

          public String getOpt(String opt)

    - #### getURLs

          public URL[] getURLs()

    - #### getFiles

          public File[] getFiles()

    - #### getBaseDir

          public File getBaseDir()

    - #### filesEndingWith

          public File[] filesEndingWith(String ext)